Lucid LBM pull request, LP621185

Tim Gardner timg at tpi.com
Thu Aug 26 14:23:25 UTC 2010


The following changes since commit eea9703400fd008febf00f90f4ec0515c1090c62:
  Stefan Bader (1):
        UBUNTU: Merging back 2.6.32-24.20 proposed release

are available in the git repository at:

  git://kernel.ubuntu.com/rtg/ubuntu-lucid-lbm master

Tim Gardner (1):
      UBUNTU: Add Conflicts/Replaces for compat-wireless

 debian/control.d/flavour-control.stub |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)
>From e96f8024ac0a6224f0f56b70f4050281ba6e1836 Mon Sep 17 00:00:00 2001
From: Tim Gardner <tim.gardner at canonical.com>
Date: Thu, 26 Aug 2010 07:58:54 -0600
Subject: [PATCH] UBUNTU: Add Conflicts/Replaces for compat-wireless

Renaming linux-backports-modules-wireless to linux-backports-modules-compat-wireless-2.6.34
requires Conflicts/Replaces statements to correctly update from the original
package.

The Conflicts/Replaces statements could be dropped after the next ABI bump since
the possibility of Replace/Conflict will no longer exist.

Signed-off-by: Tim Gardner <tim.gardner at canonical.com>
---
 debian/control.d/flavour-control.stub |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/debian/control.d/flavour-control.stub b/debian/control.d/flavour-control.stub
index 94074eb..853b403 100644
--- a/debian/control.d/flavour-control.stub
+++ b/debian/control.d/flavour-control.stub
@@ -14,12 +14,16 @@ Architecture: ARCH
 Section: SECTION_IMAGE
 Priority: optional
 Provides: =PROVIDES=
-Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR
+Conflicts: linux-backports-modules-compat-wireless-2.6.35-PKGVER-ABINUM-FLAVOUR, linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
+Replaces: linux-backports-modules-wireless-PKGVER-ABINUM-FLAVOUR
 Depends: linux-image-PKGVER-ABINUM-FLAVOUR
 Pre-Depends: dpkg (>= 1.10.24)
 Description: compat-wireless Linux modules for version PKGVER on DESC
  This package contains compat-wireless modules supplied by Ubuntu for Linux
- kernel PKGVER on DESC.
+ kernel PKGVER on DESC. It replaces the original package linux-backports-modules-wireless
+ with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
+ subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
+ linux-backports-modules-compat-wireless-2.6.36, etc.
  .
  You likely do not want to install this package directly. Instead, install
  the linux-backports-modules-wireless-POCKET-FLAVOUR meta-package, which will ensure
-- 
1.7.0.4





More information about the kernel-team mailing list